Name:		yencode
Version:	0.46
Release:	%mkrel 22
Summary:	Usenet yEnc encoder,decoder and poster
Group:		Networking/News
License:	GPLv2+
URL:		https://sourceforge.net/projects/yencode/
Source0:	https://prdownloads.sourceforge.net/yencode/yencode-0.46.tar.bz2
Patch0:		yencode-0.46-fix-str-fmt.patch
BuildRequires:	gettext-devel

%description
yencode is an encoder, decoder, and  posting  package  for  the  popular
Usenet yEnc encoding format. It features the ability to encode single or
multipart archives, a smart decoder  which  can  decode  multiple  files
(including files specified out of order or with nonsense filenames),  an
optional scan mode with recursion, and an easy  to  use  Usenet  posting
utility. It is fully compliant with the yEnc specifications.


%prep
%setup -q
%patch0 -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 0.46-22.mga9
+ Revision: 1797108
- Mageia 9 Mass Rebuild

* Wed Jun 10 2020 daviddavid <daviddavid> 0.46-21.mga8
+ Revision: 1591989
- rebuild with new rpm-mageia-setup handling config.{guess,sub} update
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.46-20.mga8
+ Revision: 1519100
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 19.mga7-current
+ Revision: 1302022
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 wally <wally> 0.46-18.mga7
+ Revision: 1243321
- fix build on aarch64
- use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 0.46-17.mga6
+ Revision: 935218
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.46-16.mga5
+ Revision: 750604
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.46-15.mga5
+ Revision: 690833
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.46-14.mga4
+ Revision: 520866
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.46-13.mga3
+ Revision: 387557
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 29 2012 kamil <kamil> 0.46-12.mga2
+ Revision: 202962
- update URL
+ kharec <kharec>
- imported package yencode

